Subject: Re: [PATCH net-next 2/2] net: netcp: select davinci_mdio driver by default

From: Murali Karicheri <[email-masked]>
Date: Wed, 11 Mar 2015 12:18:57 -0400

On 03/02/2015 07:04 PM, Tony Lindgren wrote:
> * Murali Karicheri<[email-masked]>  [150302 13:49]:
>> On 03/02/2015 11:11 AM, Tony Lindgren wrote:
>>>
>>> Because we are now force selecting items that may have other
>>> dependencies later on that will not be satisfied. That causes
>>> all kinds of make randconfig build errors.
>>>
>> My mistake.  I didn't ask you what is your definition of a silent option? An
>> option not selected by any other option? Or an option for which default
>> value not defined? Can you clarify this so that I can make sense of your
>> comment? I checked Documentation/kbuild/kconfig.txt as well as
>> Documentation/kbuild/kconfig-language.txt for defintion, but can't find it.
>>
>> Howeve, I read the warning about using "select" in the above document since
>> it blindly select the option without checking dependencies. So AFAIK, select
>> becomes an issue if the config option is not the leaf option of the config
>> tree as the dependency checking is not in place and can cause issues. In
>> this case it is safe as DAVINCI_MDIO is a leaf option and only selects
>> PHYLIB which dependents on NETDEVICES and we know this is true for NETCP
>> devices. So select is just fine here.
>
> OK I think you're right that in this case it won't cause issues.
>
> But if these cpsw components are never selectable by the user for
> any real use case, then you may want to make them silent Kconfig
> options:
>
> config TI_DAVINCI_MDIO
> 	bool
> 	select PHYLIB
>
> config TI_DAVINCI_CPDMA
> 	bool
>
> config TI_CPSW_PHY_SEL
> 	bool
>
> config TI_CPSW_ALE
> 	bool
> ...
This clean up can be a separate patch in the future and I can post 
something. But would require help from the affacted platform owners to 
test the patch. For now, I will keep the patch for my next revision.

Murali
> Regards,
> Tony

-- 
Murali Karicheri
Linux Kernel, Texas Instruments